Remove Connection
curl --request DELETE \
--url https://api.replyke.com/api/v6/:projectId/connections/:connectionIdimport requests
url = "https://api.replyke.com/api/v6/:projectId/connections/:connectionId"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.replyke.com/api/v6/:projectId/connections/:connectionId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Connection Endpoints
Remove Connection
Remove a connection or withdraw a pending request
DELETE
/
:projectId
/
connections
/
:connectionId
Remove Connection
Remove a specific connection by its ID. This can be used to withdraw a pending request (if you’re the requester) or disconnect an established connection (if you’re either party).
Disconnect:
Path Parameters
string
required
ID of the connection to remove
Response
string
Success message confirming the action
Possible Success Messages
Withdraw Request:{
"message": "Connection request withdrawn successfully."
}
{
"message": "Connection removed successfully."
}
Error Responses
Invalid Connection ID - 400 Bad Request
Invalid Connection ID - 400 Bad Request
{
"error": "Invalid connectionId",
"code": "connection/invalid-connection-id"
}
Unauthorized - 403 Forbidden
Unauthorized - 403 Forbidden
{
"error": "Unauthorized (wrong user for action)",
"code": "connection/unauthorized"
}
Connection Not Found - 404 Not Found
Connection Not Found - 404 Not Found
{
"error": "Connection not found",
"code": "connection/not-found"
}
Server Error - 500 Internal Server Error
Server Error - 500 Internal Server Error
{
"error": "Internal server error",
"code": "connection/server-error"
}
Notes
- Requires authentication
- Withdraw: Only the requester can withdraw pending requests they sent
- Disconnect: Either party can remove established connections
- Deletes the connection record completely (allows fresh requests later)
- Use this endpoint when you have the specific connection ID
- Alternative: Use
DELETE /:projectId/users/:userId/connectionwhen you know the user ID - Rate limiting: 50 requests per 5 minutes

